openapi: 3.0.3
info:
  title: Waldur API
  version: 7.7.8
paths:
  /api-auth/eduteams/complete/:
    get:
      operationId: api_auth_eduteams_complete_retrieve
      parameters:
      - in: query
        name: code
        schema:
          type: string
      - in: query
        name: state
        schema:
          type: string
      tags:
      - api-auth
      responses:
        '200':
          description: No response body
  /api-auth/eduteams/init/:
    get:
      operationId: api_auth_eduteams_init_retrieve
      description: Redirect user to OIDC authorization endpoint
      tags:
      - api-auth
      responses:
        '200':
          description: No response body
  /api-auth/keycloak/complete/:
    get:
      operationId: api_auth_keycloak_complete_retrieve
      parameters:
      - in: query
        name: code
        schema:
          type: string
      - in: query
        name: state
        schema:
          type: string
      tags:
      - api-auth
      responses:
        '200':
          description: No response body
  /api-auth/keycloak/init/:
    get:
      operationId: api_auth_keycloak_init_retrieve
      description: Redirect user to OIDC authorization endpoint
      tags:
      - api-auth
      responses:
        '200':
          description: No response body
  /api-auth/logout/:
    post:
      operationId: api_auth_logout
      description: Logout from the system. If single logout is supported, returns
        logout URL.
      tags:
      - api-auth
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Logout'
          description: ''
        '204':
          description: No response body
  /api-auth/password/:
    post:
      operationId: api_auth_password
      tags:
      - api-auth
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ObtainAuthTokenRequest'
            examples:
              ValidRequest:
                value:
                  username: alice
                  password: $ecr3t
                summary: Valid request example
                description: Example of a valid request to obtain an authentication
                  token.
        required: true
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CoreAuthToken'
              examples:
                SuccessResponse:
                  value:
                    token: c84d653b9ec92c6cbac41c706593e66f567a7fa4
                  summary: Success response example
                  description: Example of a successful response with the authentication
                    token.
          description: ''
        '401':
          description: No response body
  /api-auth/saml2/login/:
    post:
      operationId: api_auth_saml2_login
      tags:
      - api-auth
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Saml2LoginRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Saml2Login'
          description: ''
  /api-auth/saml2/login/complete/:
    post:
      operationId: api_auth_saml2_login_complete
      tags:
      - api-auth
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Saml2LoginCompleteRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Saml2LoginComplete'
          description: ''
  /api-auth/saml2/logout/:
    get:
      operationId: api_auth_saml2_logout_retrieve
      tags:
      - api-auth
      responses:
        '200':
          description: No response body
  /api-auth/saml2/logout/complete/:
    get:
      operationId: api_auth_saml2_logout_complete_retrieve
      description: For IdPs which send GET requests
      tags:
      - api-auth
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Saml2LogoutComplete'
          description: ''
    post:
      operationId: api_auth_saml2_logout_complete
      description: For IdPs which send POST requests
      tags:
      - api-auth
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Saml2LogoutCompleteRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Saml2LogoutComplete'
          description: ''
  /api-auth/saml2/providers/:
    get:
      operationId: api_auth_saml2_providers_list
      parameters:
      - in: query
        name: name
        schema:
          type: string
      - $ref: '#/components/parameters/Page'
      - $ref: '#/components/parameters/PageSize'
      tags:
      - api-auth
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Saml2Provider'
                description: ''
          description: ''
          headers:
            x-result-count:
              $ref: '#/components/headers/XResultCount'
  /api-auth/tara/complete/:
    get:
      operationId: api_auth_tara_complete_retrieve
      parameters:
      - in: query
        name: code
        schema:
          type: string
      - in: query
        name: state
        schema:
          type: string
      tags:
      - api-auth
      responses:
        '200':
          description: No response body
  /api-auth/tara/init/:
    get:
      operationId: api_auth_tara_init_retrieve
      description: Redirect user to OIDC authorization endpoint
      tags:
      - api-auth
      responses:
        '200':
          description: No response body
  /api/access-subnets/:
    get:
      operationId: access_subnets_list
      description: Mixin to optimize HEAD requests for DRF views bypassing serializer
        processing
      parameters:
      - in: query
        name: customer
        schema:
          type: string
      - in: query
        name: customer_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: description
        schema:
          type: string
      - in: query
        name: inet
        schema:
          type: string
      - $ref: '#/components/parameters/Page'
      - $ref: '#/components/parameters/PageSize'
      tags:
      - access-subnets
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AccessSubnet'
                description: ''
          description: ''
          headers:
            x-result-count:
              $ref: '#/components/headers/XResultCount'
    post:
      operationId: access_subnets_create
      tags:
      - access-subnets
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AccessSubnetRequest'
        required: true
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccessSubnet'
          description: ''
    head:
      operationId: access_subnets_count
      description: Get number of items in the collection matching the request parameters.
      parameters:
      - in: query
        name: customer
        schema:
          type: string
      - in: query
        name: customer_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: description
        schema:
          type: string
      - in: query
        name: inet
        schema:
          type: string
      - $ref: '#/components/parameters/Page'
      - $ref: '#/components/parameters/PageSize'
      tags:
      - access-subnets
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          description: No response body
  /api/access-subnets/{uuid}/:
    get:
      operationId: access_subnets_retrieve
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - access-subnets
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccessSubnet'
          description: ''
    put:
      operationId: access_subnets_update
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - access-subnets
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AccessSubnetRequest'
        required: true
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccessSubnet'
          description: ''
      x-permissions:
      - permission: ACCESS_SUBNET.UPDATE
        scopes:
        - customer
    patch:
      operationId: access_subnets_partial_update
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - access-subnets
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedAccessSubnetRequest'
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccessSubnet'
          description: ''
      x-permissions:
      - permission: ACCESS_SUBNET.UPDATE
        scopes:
        - customer
    delete:
      operationId: access_subnets_destroy
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - access-subnets
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '204':
          description: No response body
      x-permissions:
      - permission: ACCESS_SUBNET.DELETE
        scopes:
        - customer
  /api/admin-announcements/:
    get:
      operationId: admin_announcements_list
      description: Mixin to optimize HEAD requests for DRF views bypassing serializer
        processing
      parameters:
      - in: query
        name: description
        schema:
          type: string
      - in: query
        name: field
        schema:
          type: array
          items:
            type: string
            enum:
            - active_from
            - active_to
            - created
            - description
            - is_active
            - maintenance_affected_offerings
            - maintenance_name
            - maintenance_scheduled_end
            - maintenance_scheduled_start
            - maintenance_service_provider
            - maintenance_state
            - maintenance_type
            - maintenance_uuid
            - type
            - uuid
      - in: query
        name: is_active
        schema:
          type: boolean
      - in: query
        name: o
        schema:
          type: array
          items:
            type: string
            enum:
            - -active_from
            - -active_to
            - -created
            - -name
            - -type
            - active_from
            - active_to
            - created
            - name
            - type
        description: |+
          Ordering

        explode: false
        style: form
      - $ref: '#/components/parameters/Page'
      - $ref: '#/components/parameters/PageSize'
      - in: query
        name: type
        schema:
          type: array
          items:
            type: string
            enum:
            - danger
            - information
            - warning
        explode: true
        style: form
      tags:
      - admin-announcements
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AdminAnnouncement'
                description: ''
          description: ''
          headers:
            x-result-count:
              $ref: '#/components/headers/XResultCount'
    post:
      operationId: admin_announcements_create
      tags:
      - admin-announcements
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AdminAnnouncementRequest'
        required: true
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdminAnnouncement'
          description: ''
    head:
      operationId: admin_announcements_count
      description: Get number of items in the collection matching the request parameters.
      parameters:
      - in: query
        name: description
        schema:
          type: string
      - in: query
        name: is_active
        schema:
          type: boolean
      - in: query
        name: o
        schema:
          type: array
          items:
            type: string
            enum:
            - -active_from
            - -active_to
            - -created
            - -name
            - -type
            - active_from
            - active_to
            - created
            - name
            - type
        description: |+
          Ordering

        explode: false
        style: form
      - $ref: '#/components/parameters/Page'
      - $ref: '#/components/parameters/PageSize'
      - in: query
        name: type
        schema:
          type: array
          items:
            type: string
            enum:
            - danger
            - information
            - warning
        explode: true
        style: form
      tags:
      - admin-announcements
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          description: No response body
  /api/admin-announcements/{uuid}/:
    get:
      operationId: admin_announcements_retrieve
      parameters:
      - in: query
        name: field
        schema:
          type: array
          items:
            type: string
            enum:
            - active_from
            - active_to
            - created
            - description
            - is_active
            - maintenance_affected_offerings
            - maintenance_name
            - maintenance_scheduled_end
            - maintenance_scheduled_start
            - maintenance_service_provider
            - maintenance_state
            - maintenance_type
            - maintenance_uuid
            - type
            - uuid
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - admin-announcements
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdminAnnouncement'
          description: ''
    put:
      operationId: admin_announcements_update
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - admin-announcements
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AdminAnnouncementRequest'
        required: true
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdminAnnouncement'
          description: ''
    patch:
      operationId: admin_announcements_partial_update
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - admin-announcements
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedAdminAnnouncementRequest'
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdminAnnouncement'
          description: ''
    delete:
      operationId: admin_announcements_destroy
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - admin-announcements
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '204':
          description: No response body
  /api/auth-tokens/:
    get:
      operationId: auth_tokens_list
      description: Mixin to optimize HEAD requests for DRF views bypassing serializer
        processing
      parameters:
      - $ref: '#/components/parameters/Page'
      - $ref: '#/components/parameters/PageSize'
      tags:
      - auth-tokens
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AuthToken'
                description: ''
          description: ''
          headers:
            x-result-count:
              $ref: '#/components/headers/XResultCount'
    head:
      operationId: auth_tokens_count
      description: Get number of items in the collection matching the request parameters.
      parameters:
      - $ref: '#/components/parameters/Page'
      - $ref: '#/components/parameters/PageSize'
      tags:
      - auth-tokens
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          description: No response body
  /api/auth-tokens/{user_id}/:
    get:
      operationId: auth_tokens_retrieve
      parameters:
      - in: path
        name: user_id
        schema:
          type: integer
        required: true
      tags:
      - auth-tokens
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthToken'
          description: ''
    delete:
      operationId: auth_tokens_destroy
      parameters:
      - in: path
        name: user_id
        schema:
          type: integer
        required: true
      tags:
      - auth-tokens
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '204':
          description: No response body
  /api/auth-valimo/:
    post:
      operationId: auth_valimo_create
      tags:
      - auth-valimo
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AuthResultRequest'
            examples:
              ValidRequest:
                value:
                  phone: '1234567890'
                summary: Start PKI login process
                description: Example of a valid request to start PKI login process
                  with user's phone.
        required: true
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthResult'
          description: ''
  /api/auth-valimo/result/:
    post:
      operationId: auth_valimo_result
      description: "\n        To get PKI login status and details - issue post request\
        \ against /api/auth-valimo/result/\n        with uuid in parameters.\n\n \
        \       Possible states:\n         - Scheduled - login process is scheduled\n\
        \         - Processing - login is in progress\n         - OK - login was successful.\
        \ Response will contain token.\n         - Canceled - login was canceled by\
        \ user or timed out. Field details will contain additional info.\n       \
        \  - Erred - unexpected exception happened during login process.\n        "
      tags:
      - auth-valimo
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AuthResultUUIDRequest'
        required: true
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthResult'
              examples:
                SuccessfulLogin:
                  value:
                    uuid: e42473f39c844333a80107e139a4dd06
                    token: null
                    message: '1234'
                    state: OK
                    error_message: ''
                    details: User authenticated.
                  summary: Successful login
                  description: Example of response for successful login.
                CanceledLogin:
                  value:
                    uuid: e42473f39c844333a80107e139a4dd06
                    token: null
                    message: '1234'
                    state: Canceled
                    error_message: ''
                    details: User cancel.
                  summary: Canceled login
                  description: Example of response when login was canceled by user.
          description: ''
  /api/autoprovisioning-rules/:
    get:
      operationId: autoprovisioning_rules_list
      description: Manage autoprovisioning rules.
      parameters:
      - $ref: '#/components/parameters/Page'
      - $ref: '#/components/parameters/PageSize'
      tags:
      - Autoprovisioning Rules
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Rule'
                description: ''
          description: ''
          headers:
            x-result-count:
              $ref: '#/components/headers/XResultCount'
    post:
      operationId: autoprovisioning_rules_create
      description: Manage autoprovisioning rules.
      tags:
      - Autoprovisioning Rules
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RuleRequest'
        required: true
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Rule'
          description: ''
    head:
      operationId: autoprovisioning_rules_count
      description: Get number of items in the collection matching the request parameters.
      parameters:
      - $ref: '#/components/parameters/Page'
      - $ref: '#/components/parameters/PageSize'
      tags:
      - Autoprovisioning Rules
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          description: No response body
  /api/autoprovisioning-rules/{uuid}/:
    get:
      operationId: autoprovisioning_rules_retrieve
      description: Manage autoprovisioning rules.
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - Autoprovisioning Rules
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Rule'
          description: ''
    put:
      operationId: autoprovisioning_rules_update
      description: Manage autoprovisioning rules.
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - Autoprovisioning Rules
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RuleRequest'
        required: true
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Rule'
          description: ''
    patch:
      operationId: autoprovisioning_rules_partial_update
      description: Manage autoprovisioning rules.
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - Autoprovisioning Rules
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedRuleRequest'
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Rule'
          description: ''
    delete:
      operationId: autoprovisioning_rules_destroy
      description: Manage autoprovisioning rules.
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - Autoprovisioning Rules
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '204':
          description: No response body
  /api/aws-images/:
    get:
      operationId: aws_images_list
      description: Mixin to optimize HEAD requests for DRF views bypassing serializer
        processing
      parameters:
      - in: query
        name: name
        schema:
          type: string
      - in: query
        name: name_exact
        schema:
          type: string
      - $ref: '#/components/parameters/Page'
      - $ref: '#/components/parameters/PageSize'
      - in: query
        name: region
        schema:
          type: string
          format: uuid
      tags:
      - aws-images
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AwsImage'
                description: ''
          description: ''
          headers:
            x-result-count:
              $ref: '#/components/headers/XResultCount'
    head:
      operationId: aws_images_count
      description: Get number of items in the collection matching the request parameters.
      parameters:
      - in: query
        name: name
        schema:
          type: string
      - in: query
        name: name_exact
        schema:
          type: string
      - $ref: '#/components/parameters/Page'
      - $ref: '#/components/parameters/PageSize'
      - in: query
        name: region
        schema:
          type: string
          format: uuid
      tags:
      - aws-images
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          description: No response body
  /api/aws-images/{uuid}/:
    get:
      operationId: aws_images_retrieve
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - aws-images
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AwsImage'
          description: ''
  /api/aws-instances/:
    get:
      operationId: aws_instances_list
      description: Mixin to optimize HEAD requests for DRF views bypassing serializer
        processing
      parameters:
      - in: query
        name: backend_id
        schema:
          type: string
      - in: query
        name: can_manage
        schema:
          type: boolean
        description: Can manage
      - in: query
        name: customer
        schema:
          type: string
          format: uuid
      - in: query
        name: customer_abbreviation
        schema:
          type: string
      - in: query
        name: customer_name
        schema:
          type: string
      - in: query
        name: customer_native_name
        schema:
          type: string
      - in: query
        name: customer_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: description
        schema:
          type: string
      - in: query
        name: external_ip
        schema:
          type: string
      - in: query
        name: field
        schema:
          type: array
          items:
            type: string
            enum:
            - access_url
            - backend_id
            - cores
            - created
            - customer
            - customer_abbreviation
            - customer_name
            - customer_native_name
            - description
            - disk
            - error_message
            - error_traceback
            - external_ips
            - image
            - image_name
            - internal_ips
            - is_limit_based
            - is_usage_based
            - key_fingerprint
            - key_name
            - latitude
            - longitude
            - marketplace_category_name
            - marketplace_category_uuid
            - marketplace_offering_name
            - marketplace_offering_plugin_options
            - marketplace_offering_uuid
            - marketplace_plan_uuid
            - marketplace_resource_state
            - marketplace_resource_uuid
            - min_disk
            - min_ram
            - modified
            - name
            - project
            - project_name
            - project_uuid
            - ram
            - region
            - resource_type
            - service_name
            - service_settings
            - service_settings_error_message
            - service_settings_state
            - service_settings_uuid
            - size
            - ssh_public_key
            - start_time
            - state
            - url
            - user_data
            - uuid
      - in: query
        name: name
        schema:
          type: string
      - in: query
        name: name_exact
        schema:
          type: string
      - $ref: '#/components/parameters/Page'
      - $ref: '#/components/parameters/PageSize'
      - in: query
        name: project
        schema:
          type: string
          format: uuid
      - in: query
        name: project_name
        schema:
          type: string
      - in: query
        name: project_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: service_settings_name
        schema:
          type: string
      - in: query
        name: service_settings_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: state
        schema:
          type: array
          items:
            type: string
            enum:
            - CREATING
            - CREATION_SCHEDULED
            - DELETING
            - DELETION_SCHEDULED
            - ERRED
            - OK
            - UPDATE_SCHEDULED
            - UPDATING
        explode: true
        style: form
      - in: query
        name: uuid
        schema:
          type: string
          format: uuid
      tags:
      - aws-instances
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AwsInstance'
                description: ''
          description: ''
          headers:
            x-result-count:
              $ref: '#/components/headers/XResultCount'
    post:
      operationId: aws_instances_create
      tags:
      - aws-instances
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AwsInstanceRequest'
        required: true
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AwsInstance'
          description: ''
    head:
      operationId: aws_instances_count
      description: Get number of items in the collection matching the request parameters.
      parameters:
      - in: query
        name: backend_id
        schema:
          type: string
      - in: query
        name: can_manage
        schema:
          type: boolean
        description: Can manage
      - in: query
        name: customer
        schema:
          type: string
          format: uuid
      - in: query
        name: customer_abbreviation
        schema:
          type: string
      - in: query
        name: customer_name
        schema:
          type: string
      - in: query
        name: customer_native_name
        schema:
          type: string
      - in: query
        name: customer_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: description
        schema:
          type: string
      - in: query
        name: external_ip
        schema:
          type: string
      - in: query
        name: name
        schema:
          type: string
      - in: query
        name: name_exact
        schema:
          type: string
      - $ref: '#/components/parameters/Page'
      - $ref: '#/components/parameters/PageSize'
      - in: query
        name: project
        schema:
          type: string
          format: uuid
      - in: query
        name: project_name
        schema:
          type: string
      - in: query
        name: project_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: service_settings_name
        schema:
          type: string
      - in: query
        name: service_settings_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: state
        schema:
          type: array
          items:
            type: string
            enum:
            - CREATING
            - CREATION_SCHEDULED
            - DELETING
            - DELETION_SCHEDULED
            - ERRED
            - OK
            - UPDATE_SCHEDULED
            - UPDATING
        explode: true
        style: form
      - in: query
        name: uuid
        schema:
          type: string
          format: uuid
      tags:
      - aws-instances
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          description: No response body
  /api/aws-instances/{uuid}/:
    get:
      operationId: aws_instances_retrieve
      parameters:
      - in: query
        name: field
        schema:
          type: array
          items:
            type: string
            enum:
            - access_url
            - backend_id
            - cores
            - created
            - customer
            - customer_abbreviation
            - customer_name
            - customer_native_name
            - description
            - disk
            - error_message
            - error_traceback
            - external_ips
            - image
            - image_name
            - internal_ips
            - is_limit_based
            - is_usage_based
            - key_fingerprint
            - key_name
            - latitude
            - longitude
            - marketplace_category_name
            - marketplace_category_uuid
            - marketplace_offering_name
            - marketplace_offering_plugin_options
            - marketplace_offering_uuid
            - marketplace_plan_uuid
            - marketplace_resource_state
            - marketplace_resource_uuid
            - min_disk
            - min_ram
            - modified
            - name
            - project
            - project_name
            - project_uuid
            - ram
            - region
            - resource_type
            - service_name
            - service_settings
            - service_settings_error_message
            - service_settings_state
            - service_settings_uuid
            - size
            - ssh_public_key
            - start_time
            - state
            - url
            - user_data
            - uuid
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - aws-instances
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AwsInstance'
          description: ''
    put:
      operationId: aws_instances_update
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - aws-instances
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AwsInstanceRequest'
        required: true
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AwsInstance'
          description: ''
    patch:
      operationId: aws_instances_partial_update
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - aws-instances
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedAwsInstanceRequest'
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AwsInstance'
          description: ''
    delete:
      operationId: aws_instances_destroy
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - aws-instances
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '204':
          description: No response body
  /api/aws-instances/{uuid}/pull/:
    post:
      operationId: aws_instances_pull
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - aws-instances
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          description: No response body
  /api/aws-instances/{uuid}/resize/:
    post:
      operationId: aws_instances_resize
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - aws-instances
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AwsInstanceResizeRequest'
        required: true
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AwsInstanceResize'
          description: ''
  /api/aws-instances/{uuid}/restart/:
    post:
      operationId: aws_instances_restart
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - aws-instances
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          description: No response body
  /api/aws-instances/{uuid}/start/:
    post:
      operationId: aws_instances_start
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - aws-instances
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          description: No response body
  /api/aws-instances/{uuid}/stop/:
    post:
      operationId: aws_instances_stop
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - aws-instances
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          description: No response body
  /api/aws-instances/{uuid}/unlink/:
    post:
      operationId: aws_instances_unlink
      description: |-
        Delete resource from the database without scheduling operations on backend
        and without checking current state of the resource. It is intended to be used
        for removing resource stuck in transitioning state.
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - aws-instances
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          description: No response body
  /api/aws-regions/:
    get:
      operationId: aws_regions_list
      description: Mixin to optimize HEAD requests for DRF views bypassing serializer
        processing
      parameters:
      - in: query
        name: name
        schema:
          type: string
      - in: query
        name: name_exact
        schema:
          type: string
      - $ref: '#/components/parameters/Page'
      - $ref: '#/components/parameters/PageSize'
      tags:
      - aws-regions
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AwsRegion'
                description: ''
          description: ''
          headers:
            x-result-count:
              $ref: '#/components/headers/XResultCount'
    head:
      operationId: aws_regions_count
      description: Get number of items in the collection matching the request parameters.
      parameters:
      - in: query
        name: name
        schema:
          type: string
      - in: query
        name: name_exact
        schema:
          type: string
      - $ref: '#/components/parameters/Page'
      - $ref: '#/components/parameters/PageSize'
      tags:
      - aws-regions
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          description: No response body
  /api/aws-regions/{uuid}/:
    get:
      operationId: aws_regions_retrieve
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - aws-regions
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AwsRegion'
          description: ''
  /api/aws-sizes/:
    get:
      operationId: aws_sizes_list
      description: Mixin to optimize HEAD requests for DRF views bypassing serializer
        processing
      parameters:
      - in: query
        name: name
        schema:
          type: string
      - in: query
        name: name_exact
        schema:
          type: string
      - $ref: '#/components/parameters/Page'
      - $ref: '#/components/parameters/PageSize'
      - in: query
        name: region
        schema:
          type: string
          format: uuid
      tags:
      - aws-sizes
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AwsSize'
                description: ''
          description: ''
          headers:
            x-result-count:
              $ref: '#/components/headers/XResultCount'
    head:
      operationId: aws_sizes_count
      description: Get number of items in the collection matching the request parameters.
      parameters:
      - in: query
        name: name
        schema:
          type: string
      - in: query
        name: name_exact
        schema:
          type: string
      - $ref: '#/components/parameters/Page'
      - $ref: '#/components/parameters/PageSize'
      - in: query
        name: region
        schema:
          type: string
          format: uuid
      tags:
      - aws-sizes
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          description: No response body
  /api/aws-sizes/{uuid}/:
    get:
      operationId: aws_sizes_retrieve
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - aws-sizes
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AwsSize'
          description: ''
  /api/aws-volumes/:
    get:
      operationId: aws_volumes_list
      description: Mixin to optimize HEAD requests for DRF views bypassing serializer
        processing
      parameters:
      - in: query
        name: field
        schema:
          type: array
          items:
            type: string
            enum:
            - access_url
            - backend_id
            - created
            - customer
            - customer_abbreviation
            - customer_name
            - customer_native_name
            - description
            - device
            - error_message
            - error_traceback
            - instance
            - is_limit_based
            - is_usage_based
            - marketplace_category_name
            - marketplace_category_uuid
            - marketplace_offering_name
            - marketplace_offering_plugin_options
            - marketplace_offering_uuid
            - marketplace_plan_uuid
            - marketplace_resource_state
            - marketplace_resource_uuid
            - modified
            - name
            - project
            - project_name
            - project_uuid
            - region
            - resource_type
            - runtime_state
            - service_name
            - service_settings
            - service_settings_error_message
            - service_settings_state
            - service_settings_uuid
            - size
            - state
            - url
            - uuid
            - volume_type
      - $ref: '#/components/parameters/Page'
      - $ref: '#/components/parameters/PageSize'
      tags:
      - aws-volumes
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AwsVolume'
                description: ''
          description: ''
          headers:
            x-result-count:
              $ref: '#/components/headers/XResultCount'
    post:
      operationId: aws_volumes_create
      tags:
      - aws-volumes
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AwsVolumeRequest'
        required: true
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AwsVolume'
          description: ''
    head:
      operationId: aws_volumes_count
      description: Get number of items in the collection matching the request parameters.
      parameters:
      - $ref: '#/components/parameters/Page'
      - $ref: '#/components/parameters/PageSize'
      tags:
      - aws-volumes
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          description: No response body
  /api/aws-volumes/{uuid}/:
    get:
      operationId: aws_volumes_retrieve
      parameters:
      - in: query
        name: field
        schema:
          type: array
          items:
            type: string
            enum:
            - access_url
            - backend_id
            - created
            - customer
            - customer_abbreviation
            - customer_name
            - customer_native_name
            - description
            - device
            - error_message
            - error_traceback
            - instance
            - is_limit_based
            - is_usage_based
            - marketplace_category_name
            - marketplace_category_uuid
            - marketplace_offering_name
            - marketplace_offering_plugin_options
            - marketplace_offering_uuid
            - marketplace_plan_uuid
            - marketplace_resource_state
            - marketplace_resource_uuid
            - modified
            - name
            - project
            - project_name
            - project_uuid
            - region
            - resource_type
            - runtime_state
            - service_name
            - service_settings
            - service_settings_error_message
            - service_settings_state
            - service_settings_uuid
            - size
            - state
            - url
            - uuid
            - volume_type
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - aws-volumes
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AwsVolume'
          description: ''
    put:
      operationId: aws_volumes_update
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - aws-volumes
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AwsVolumeRequest'
        required: true
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AwsVolume'
          description: ''
    patch:
      operationId: aws_volumes_partial_update
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - aws-volumes
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AwsVolume'
          description: ''
    delete:
      operationId: aws_volumes_destroy
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - aws-volumes
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '204':
          description: No response body
  /api/aws-volumes/{uuid}/attach/:
    post:
      operationId: aws_volumes_attach
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - aws-volumes
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AwsVolumeAttachRequest'
        required: true
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AwsVolumeAttach'
          description: ''
  /api/aws-volumes/{uuid}/detach/:
    post:
      operationId: aws_volumes_detach
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - aws-volumes
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          description: No response body
  /api/aws-volumes/{uuid}/pull/:
    post:
      operationId: aws_volumes_pull
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - aws-volumes
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          description: No response body
  /api/aws-volumes/{uuid}/unlink/:
    post:
      operationId: aws_volumes_unlink
      description: |-
        Delete resource from the database without scheduling operations on backend
        and without checking current state of the resource. It is intended to be used
        for removing resource stuck in transitioning state.
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - aws-volumes
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          description: No response body
  /api/azure-images/:
    get:
      operationId: azure_images_list
      description: Mixin to optimize HEAD requests for DRF views bypassing serializer
        processing
      parameters:
      - in: query
        name: location
        schema:
          type: string
      - in: query
        name: location_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: name
        schema:
          type: string
      - in: query
        name: name_exact
        schema:
          type: string
      - $ref: '#/components/parameters/Page'
      - $ref: '#/components/parameters/PageSize'
      - in: query
        name: settings
        schema:
          type: string
      - in: query
        name: settings_uuid
        schema:
          type: string
          format: uuid
      tags:
      - azure-images
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AzureImage'
                description: ''
          description: ''
          headers:
            x-result-count:
              $ref: '#/components/headers/XResultCount'
    head:
      operationId: azure_images_count
      description: Get number of items in the collection matching the request parameters.
      parameters:
      - in: query
        name: location
        schema:
          type: string
      - in: query
        name: location_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: name
        schema:
          type: string
      - in: query
        name: name_exact
        schema:
          type: string
      - $ref: '#/components/parameters/Page'
      - $ref: '#/components/parameters/PageSize'
      - in: query
        name: settings
        schema:
          type: string
      - in: query
        name: settings_uuid
        schema:
          type: string
          format: uuid
      tags:
      - azure-images
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          description: No response body
  /api/azure-images/{uuid}/:
    get:
      operationId: azure_images_retrieve
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - azure-images
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AzureImage'
          description: ''
  /api/azure-locations/:
    get:
      operationId: azure_locations_list
      description: Mixin to optimize HEAD requests for DRF views bypassing serializer
        processing
      parameters:
      - in: query
        name: has_sizes
        schema:
          type: boolean
      - in: query
        name: name
        schema:
          type: string
      - in: query
        name: name_exact
        schema:
          type: string
      - $ref: '#/components/parameters/Page'
      - $ref: '#/components/parameters/PageSize'
      - in: query
        name: settings
        schema:
          type: string
      - in: query
        name: settings_uuid
        schema:
          type: string
          format: uuid
      tags:
      - azure-locations
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AzureLocation'
                description: ''
          description: ''
          headers:
            x-result-count:
              $ref: '#/components/headers/XResultCount'
    head:
      operationId: azure_locations_count
      description: Get number of items in the collection matching the request parameters.
      parameters:
      - in: query
        name: has_sizes
        schema:
          type: boolean
      - in: query
        name: name
        schema:
          type: string
      - in: query
        name: name_exact
        schema:
          type: string
      - $ref: '#/components/parameters/Page'
      - $ref: '#/components/parameters/PageSize'
      - in: query
        name: settings
        schema:
          type: string
      - in: query
        name: settings_uuid
        schema:
          type: string
          format: uuid
      tags:
      - azure-locations
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          description: No response body
  /api/azure-locations/{uuid}/:
    get:
      operationId: azure_locations_retrieve
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - azure-locations
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AzureLocation'
          description: ''
  /api/azure-public-ips/:
    get:
      operationId: azure_public_ips_list
      description: Mixin to optimize HEAD requests for DRF views bypassing serializer
        processing
      parameters:
      - in: query
        name: backend_id
        schema:
          type: string
      - in: query
        name: can_manage
        schema:
          type: boolean
        description: Can manage
      - in: query
        name: customer
        schema:
          type: string
          format: uuid
      - in: query
        name: customer_abbreviation
        schema:
          type: string
      - in: query
        name: customer_name
        schema:
          type: string
      - in: query
        name: customer_native_name
        schema:
          type: string
      - in: query
        name: customer_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: description
        schema:
          type: string
      - in: query
        name: external_ip
        schema:
          type: string
      - in: query
        name: field
        schema:
          type: array
          items:
            type: string
            enum:
            - access_url
            - backend_id
            - created
            - customer
            - customer_abbreviation
            - customer_name
            - customer_native_name
            - description
            - error_message
            - error_traceback
            - is_limit_based
            - is_usage_based
            - location
            - marketplace_category_name
            - marketplace_category_uuid
            - marketplace_offering_name
            - marketplace_offering_plugin_options
            - marketplace_offering_uuid
            - marketplace_plan_uuid
            - marketplace_resource_state
            - marketplace_resource_uuid
            - modified
            - name
            - project
            - project_name
            - project_uuid
            - resource_group
            - resource_type
            - service_name
            - service_settings
            - service_settings_error_message
            - service_settings_state
            - service_settings_uuid
            - state
            - url
            - uuid
      - in: query
        name: name
        schema:
          type: string
      - in: query
        name: name_exact
        schema:
          type: string
      - $ref: '#/components/parameters/Page'
      - $ref: '#/components/parameters/PageSize'
      - in: query
        name: project
        schema:
          type: string
          format: uuid
      - in: query
        name: project_name
        schema:
          type: string
      - in: query
        name: project_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: resource_group
        schema:
          type: string
      - in: query
        name: resource_group_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: service_settings_name
        schema:
          type: string
      - in: query
        name: service_settings_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: state
        schema:
          type: array
          items:
            type: string
            enum:
            - CREATING
            - CREATION_SCHEDULED
            - DELETING
            - DELETION_SCHEDULED
            - ERRED
            - OK
            - UPDATE_SCHEDULED
            - UPDATING
        explode: true
        style: form
      - in: query
        name: uuid
        schema:
          type: string
          format: uuid
      tags:
      - azure-public-ips
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AzurePublicIP'
                description: ''
          description: ''
          headers:
            x-result-count:
              $ref: '#/components/headers/XResultCount'
    post:
      operationId: azure_public_ips_create
      tags:
      - azure-public-ips
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AzurePublicIPRequest'
        required: true
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AzurePublicIP'
          description: ''
    head:
      operationId: azure_public_ips_count
      description: Get number of items in the collection matching the request parameters.
      parameters:
      - in: query
        name: backend_id
        schema:
          type: string
      - in: query
        name: can_manage
        schema:
          type: boolean
        description: Can manage
      - in: query
        name: customer
        schema:
          type: string
          format: uuid
      - in: query
        name: customer_abbreviation
        schema:
          type: string
      - in: query
        name: customer_name
        schema:
          type: string
      - in: query
        name: customer_native_name
        schema:
          type: string
      - in: query
        name: customer_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: description
        schema:
          type: string
      - in: query
        name: external_ip
        schema:
          type: string
      - in: query
        name: name
        schema:
          type: string
      - in: query
        name: name_exact
        schema:
          type: string
      - $ref: '#/components/parameters/Page'
      - $ref: '#/components/parameters/PageSize'
      - in: query
        name: project
        schema:
          type: string
          format: uuid
      - in: query
        name: project_name
        schema:
          type: string
      - in: query
        name: project_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: resource_group
        schema:
          type: string
      - in: query
        name: resource_group_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: service_settings_name
        schema:
          type: string
      - in: query
        name: service_settings_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: state
        schema:
          type: array
          items:
            type: string
            enum:
            - CREATING
            - CREATION_SCHEDULED
            - DELETING
            - DELETION_SCHEDULED
            - ERRED
            - OK
            - UPDATE_SCHEDULED
            - UPDATING
        explode: true
        style: form
      - in: query
        name: uuid
        schema:
          type: string
          format: uuid
      tags:
      - azure-public-ips
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          description: No response body
  /api/azure-public-ips/{uuid}/:
    get:
      operationId: azure_public_ips_retrieve
      parameters:
      - in: query
        name: field
        schema:
          type: array
          items:
            type: string
            enum:
            - access_url
            - backend_id
            - created
            - customer
            - customer_abbreviation
            - customer_name
            - customer_native_name
            - description
            - error_message
            - error_traceback
            - is_limit_based
            - is_usage_based
            - location
            - marketplace_category_name
            - marketplace_category_uuid
            - marketplace_offering_name
            - marketplace_offering_plugin_options
            - marketplace_offering_uuid
            - marketplace_plan_uuid
            - marketplace_resource_state
            - marketplace_resource_uuid
            - modified
            - name
            - project
            - project_name
            - project_uuid
            - resource_group
            - resource_type
            - service_name
            - service_settings
            - service_settings_error_message
            - service_settings_state
            - service_settings_uuid
            - state
            - url
            - uuid
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - azure-public-ips
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AzurePublicIP'
          description: ''
    put:
      operationId: azure_public_ips_update
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - azure-public-ips
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AzurePublicIPRequest'
        required: true
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AzurePublicIP'
          description: ''
    patch:
      operationId: azure_public_ips_partial_update
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - azure-public-ips
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedAzurePublicIPRequest'
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AzurePublicIP'
          description: ''
    delete:
      operationId: azure_public_ips_destroy
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - azure-public-ips
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '204':
          description: No response body
  /api/azure-public-ips/{uuid}/pull/:
    post:
      operationId: azure_public_ips_pull
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - azure-public-ips
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          description: No response body
  /api/azure-public-ips/{uuid}/unlink/:
    post:
      operationId: azure_public_ips_unlink
      description: |-
        Delete resource from the database without scheduling operations on backend
        and without checking current state of the resource. It is intended to be used
        for removing resource stuck in transitioning state.
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - azure-public-ips
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          description: No response body
  /api/azure-resource-groups/:
    get:
      operationId: azure_resource_groups_list
      description: Mixin to optimize HEAD requests for DRF views bypassing serializer
        processing
      parameters:
      - in: query
        name: field
        schema:
          type: array
          items:
            type: string
            enum:
            - access_url
            - backend_id
            - created
            - customer
            - customer_abbreviation
            - customer_name
            - customer_native_name
            - description
            - error_message
            - error_traceback
            - is_limit_based
            - is_usage_based
            - location
            - marketplace_category_name
            - marketplace_category_uuid
            - marketplace_offering_name
            - marketplace_offering_plugin_options
            - marketplace_offering_uuid
            - marketplace_plan_uuid
            - marketplace_resource_state
            - marketplace_resource_uuid
            - modified
            - name
            - project
            - project_name
            - project_uuid
            - resource_type
            - service_name
            - service_settings
            - service_settings_error_message
            - service_settings_state
            - service_settings_uuid
            - state
            - url
            - uuid
      - $ref: '#/components/parameters/Page'
      - $ref: '#/components/parameters/PageSize'
      tags:
      - azure-resource-groups
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AzureResourceGroup'
                description: ''
          description: ''
          headers:
            x-result-count:
              $ref: '#/components/headers/XResultCount'
    head:
      operationId: azure_resource_groups_count
      description: Get number of items in the collection matching the request parameters.
      parameters:
      - $ref: '#/components/parameters/Page'
      - $ref: '#/components/parameters/PageSize'
      tags:
      - azure-resource-groups
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          description: No response body
  /api/azure-resource-groups/{uuid}/:
    get:
      operationId: azure_resource_groups_retrieve
      parameters:
      - in: query
        name: field
        schema:
          type: array
          items:
            type: string
            enum:
            - access_url
            - backend_id
            - created
            - customer
            - customer_abbreviation
            - customer_name
            - customer_native_name
            - description
            - error_message
            - error_traceback
            - is_limit_based
            - is_usage_based
            - location
            - marketplace_category_name
            - marketplace_category_uuid
            - marketplace_offering_name
            - marketplace_offering_plugin_options
            - marketplace_offering_uuid
            - marketplace_plan_uuid
            - marketplace_resource_state
            - marketplace_resource_uuid
            - modified
            - name
            - project
            - project_name
            - project_uuid
            - resource_type
            - service_name
            - service_settings
            - service_settings_error_message
            - service_settings_state
            - service_settings_uuid
            - state
            - url
            - uuid
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - azure-resource-groups
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AzureResourceGroup'
          description: ''
  /api/azure-sizes/:
    get:
      operationId: azure_sizes_list
      description: Mixin to optimize HEAD requests for DRF views bypassing serializer
        processing
      parameters:
      - in: query
        name: location
        schema:
          type: string
      - in: query
        name: location_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: name
        schema:
          type: string
      - in: query
        name: name_exact
        schema:
          type: string
      - $ref: '#/components/parameters/Page'
      - $ref: '#/components/parameters/PageSize'
      - in: query
        name: settings
        schema:
          type: string
      - in: query
        name: settings_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: zone
        schema:
          type: integer
      tags:
      - azure-sizes
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AzureSize'
                description: ''
          description: ''
          headers:
            x-result-count:
              $ref: '#/components/headers/XResultCount'
    head:
      operationId: azure_sizes_count
      description: Get number of items in the collection matching the request parameters.
      parameters:
      - in: query
        name: location
        schema:
          type: string
      - in: query
        name: location_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: name
        schema:
          type: string
      - in: query
        name: name_exact
        schema:
          type: string
      - $ref: '#/components/parameters/Page'
      - $ref: '#/components/parameters/PageSize'
      - in: query
        name: settings
        schema:
          type: string
      - in: query
        name: settings_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: zone
        schema:
          type: integer
      tags:
      - azure-sizes
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          description: No response body
  /api/azure-sizes/{uuid}/:
    get:
      operationId: azure_sizes_retrieve
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - azure-sizes
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AzureSize'
          description: ''
  /api/azure-sql-databases/:
    get:
      operationId: azure_sql_databases_list
      description: Mixin to optimize HEAD requests for DRF views bypassing serializer
        processing
      parameters:
      - in: query
        name: backend_id
        schema:
          type: string
      - in: query
        name: can_manage
        schema:
          type: boolean
        description: Can manage
      - in: query
        name: customer
        schema:
          type: string
          format: uuid
      - in: query
        name: customer_abbreviation
        schema:
          type: string
      - in: query
        name: customer_name
        schema:
          type: string
      - in: query
        name: customer_native_name
        schema:
          type: string
      - in: query
        name: customer_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: description
        schema:
          type: string
      - in: query
        name: external_ip
        schema:
          type: string
      - in: query
        name: field
        schema:
          type: array
          items:
            type: string
            enum:
            - access_url
            - backend_id
            - charset
            - collation
            - created
            - customer
            - customer_abbreviation
            - customer_name
            - customer_native_name
            - description
            - error_message
            - error_traceback
            - is_limit_based
            - is_usage_based
            - location_name
            - marketplace_category_name
            - marketplace_category_uuid
            - marketplace_offering_name
            - marketplace_offering_plugin_options
            - marketplace_offering_uuid
            - marketplace_plan_uuid
            - marketplace_resource_state
            - marketplace_resource_uuid
            - modified
            - name
            - project
            - project_name
            - project_uuid
            - resource_group_name
            - resource_type
            - server
            - server_marketplace_uuid
            - server_name
            - server_uuid
            - service_name
            - service_settings
            - service_settings_error_message
            - service_settings_state
            - service_settings_uuid
            - state
            - url
            - uuid
      - in: query
        name: name
        schema:
          type: string
      - in: query
        name: name_exact
        schema:
          type: string
      - $ref: '#/components/parameters/Page'
      - $ref: '#/components/parameters/PageSize'
      - in: query
        name: project
        schema:
          type: string
          format: uuid
      - in: query
        name: project_name
        schema:
          type: string
      - in: query
        name: project_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: resource_group
        schema:
          type: string
      - in: query
        name: resource_group_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: server
        schema:
          type: string
      - in: query
        name: server_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: service_settings_name
        schema:
          type: string
      - in: query
        name: service_settings_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: state
        schema:
          type: array
          items:
            type: string
            enum:
            - CREATING
            - CREATION_SCHEDULED
            - DELETING
            - DELETION_SCHEDULED
            - ERRED
            - OK
            - UPDATE_SCHEDULED
            - UPDATING
        explode: true
        style: form
      - in: query
        name: uuid
        schema:
          type: string
          format: uuid
      tags:
      - azure-sql-databases
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AzureSqlDatabase'
                description: ''
          description: ''
          headers:
            x-result-count:
              $ref: '#/components/headers/XResultCount'
    post:
      operationId: azure_sql_databases_create
      tags:
      - azure-sql-databases
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AzureSqlDatabaseRequest'
        required: true
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AzureSqlDatabase'
          description: ''
    head:
      operationId: azure_sql_databases_count
      description: Get number of items in the collection matching the request parameters.
      parameters:
      - in: query
        name: backend_id
        schema:
          type: string
      - in: query
        name: can_manage
        schema:
          type: boolean
        description: Can manage
      - in: query
        name: customer
        schema:
          type: string
          format: uuid
      - in: query
        name: customer_abbreviation
        schema:
          type: string
      - in: query
        name: customer_name
        schema:
          type: string
      - in: query
        name: customer_native_name
        schema:
          type: string
      - in: query
        name: customer_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: description
        schema:
          type: string
      - in: query
        name: external_ip
        schema:
          type: string
      - in: query
        name: name
        schema:
          type: string
      - in: query
        name: name_exact
        schema:
          type: string
      - $ref: '#/components/parameters/Page'
      - $ref: '#/components/parameters/PageSize'
      - in: query
        name: project
        schema:
          type: string
          format: uuid
      - in: query
        name: project_name
        schema:
          type: string
      - in: query
        name: project_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: resource_group
        schema:
          type: string
      - in: query
        name: resource_group_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: server
        schema:
          type: string
      - in: query
        name: server_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: service_settings_name
        schema:
          type: string
      - in: query
        name: service_settings_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: state
        schema:
          type: array
          items:
            type: string
            enum:
            - CREATING
            - CREATION_SCHEDULED
            - DELETING
            - DELETION_SCHEDULED
            - ERRED
            - OK
            - UPDATE_SCHEDULED
            - UPDATING
        explode: true
        style: form
      - in: query
        name: uuid
        schema:
          type: string
          format: uuid
      tags:
      - azure-sql-databases
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          description: No response body
  /api/azure-sql-databases/{uuid}/:
    get:
      operationId: azure_sql_databases_retrieve
      parameters:
      - in: query
        name: field
        schema:
          type: array
          items:
            type: string
            enum:
            - access_url
            - backend_id
            - charset
            - collation
            - created
            - customer
            - customer_abbreviation
            - customer_name
            - customer_native_name
            - description
            - error_message
            - error_traceback
            - is_limit_based
            - is_usage_based
            - location_name
            - marketplace_category_name
            - marketplace_category_uuid
            - marketplace_offering_name
            - marketplace_offering_plugin_options
            - marketplace_offering_uuid
            - marketplace_plan_uuid
            - marketplace_resource_state
            - marketplace_resource_uuid
            - modified
            - name
            - project
            - project_name
            - project_uuid
            - resource_group_name
            - resource_type
            - server
            - server_marketplace_uuid
            - server_name
            - server_uuid
            - service_name
            - service_settings
            - service_settings_error_message
            - service_settings_state
            - service_settings_uuid
            - state
            - url
            - uuid
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - azure-sql-databases
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AzureSqlDatabase'
          description: ''
    put:
      operationId: azure_sql_databases_update
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - azure-sql-databases
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AzureSqlDatabaseRequest'
        required: true
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AzureSqlDatabase'
          description: ''
    patch:
      operationId: azure_sql_databases_partial_update
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - azure-sql-databases
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedAzureSqlDatabaseRequest'
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AzureSqlDatabase'
          description: ''
    delete:
      operationId: azure_sql_databases_destroy
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - azure-sql-databases
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '204':
          description: No response body
  /api/azure-sql-databases/{uuid}/pull/:
    post:
      operationId: azure_sql_databases_pull
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - azure-sql-databases
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          description: No response body
  /api/azure-sql-databases/{uuid}/unlink/:
    post:
      operationId: azure_sql_databases_unlink
      description: |-
        Delete resource from the database without scheduling operations on backend
        and without checking current state of the resource. It is intended to be used
        for removing resource stuck in transitioning state.
      parameters:
      - in: path
        name: uuid
        schema:
          type: string
          format: uuid
        required: true
      tags:
      - azure-sql-databases
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          description: No response body
  /api/azure-sql-servers/:
    get:
      operationId: azure_sql_servers_list
      description: Mixin to optimize HEAD requests for DRF views bypassing serializer
        processing
      parameters:
      - in: query
        name: backend_id
        schema:
          type: string
      - in: query
        name: can_manage
        schema:
          type: boolean
        description: Can manage
      - in: query
        name: customer
        schema:
          type: string
          format: uuid
      - in: query
        name: customer_abbreviation
        schema:
          type: string
      - in: query
        name: customer_name
        schema:
          type: string
      - in: query
        name: customer_native_name
        schema:
          type: string
      - in: query
        name: customer_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: description
        schema:
          type: string
      - in: query
        name: external_ip
        schema:
          type: string
      - in: query
        name: field
        schema:
          type: array
          items:
            type: string
            enum:
            - access_url
            - backend_id
            - created
            - customer
            - customer_abbreviation
            - customer_name
            - customer_native_name
            - description
            - error_message
            - error_traceback
            - fqdn
            - is_limit_based
            - is_usage_based
            - location
            - location_name
            - marketplace_category_name
            - marketplace_category_uuid
            - marketplace_offering_name
            - marketplace_offering_plugin_options
            - marketplace_offering_uuid
            - marketplace_plan_uuid
            - marketplace_resource_state
            - marketplace_resource_uuid
            - modified
            - name
            - password
            - project
            - project_name
            - project_uuid
            - resource_group
            - resource_group_name
            - resource_type
            - service_name
            - service_settings
            - service_settings_error_message
            - service_settings_state
            - service_settings_uuid
            - state
            - storage_mb
            - url
            - username
            - uuid
      - in: query
        name: name
        schema:
          type: string
      - in: query
        name: name_exact
        schema:
          type: string
      - $ref: '#/components/parameters/Page'
      - $ref: '#/components/parameters/PageSize'
      - in: query
        name: project
        schema:
          type: string
          format: uuid
      - in: query
        name: project_name
        schema:
          type: string
      - in: query
        name: project_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: resource_group
        schema:
          type: string
      - in: query
        name: resource_group_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: service_settings_name
        schema:
          type: string
      - in: query
        name: service_settings_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: state
        schema:
          type: array
          items:
            type: string
            enum:
            - CREATING
            - CREATION_SCHEDULED
            - DELETING
            - DELETION_SCHEDULED
            - ERRED
            - OK
            - UPDATE_SCHEDULED
            - UPDATING
        explode: true
        style: form
      - in: query
        name: uuid
        schema:
          type: string
          format: uuid
      tags:
      - azure-sql-servers
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AzureSqlServer'
                description: ''
          description: ''
          headers:
            x-result-count:
              $ref: '#/components/headers/XResultCount'
    post:
      operationId: azure_sql_servers_create
      tags:
      - azure-sql-servers
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AzureSqlServerRequest'
        required: true
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AzureSqlServer'
          description: ''
    head:
      operationId: azure_sql_servers_count
      description: Get number of items in the collection matching the request parameters.
      parameters:
      - in: query
        name: backend_id
        schema:
          type: string
      - in: query
        name: can_manage
        schema:
          type: boolean
        description: Can manage
      - in: query
        name: customer
        schema:
          type: string
          format: uuid
      - in: query
        name: customer_abbreviation
        schema:
          type: string
      - in: query
        name: customer_name
        schema:
          type: string
      - in: query
        name: customer_native_name
        schema:
          type: string
      - in: query
        name: customer_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: description
        schema:
          type: string
      - in: query
        name: external_ip
        schema:
          type: string
      - in: query
        name: name
        schema:
          type: string
      - in: query
        name: name_exact
        schema:
          type: string
      - $ref: '#/components/parameters/Page'
      - $ref: '#/components/parameters/PageSize'
      - in: query
        name: project
        schema:
          type: string
          format: uuid
      - in: query
        name: project_name
        schema:
          type: string
      - in: query
        name: project_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: resource_group
        schema:
          type: string
      - in: query
        name: resource_group_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: service_settings_name
        schema:
          type: string
      - in: query
        name: service_settings_uuid
        schema:
          type: string
          format: uuid
      - in: query
        name: state
        schema:
          type: array
          items:
            type: string
            enum:
            - CREATING
            - CREATION_SCHEDULED
            - DELETING
            - DELETION_SCHEDULED
            - ERRED
            - OK
            - UPDATE_SCHEDULED
            - UPDATING
        explode: true
        style: form
      - in: query
        name: uuid
        schema:
          type: string
          format: uuid
      tags:
      - azure-sql-servers
      security:
      - tokenAuth: []
      - waldurOIDCAuth: []
      responses:
        '200':
          description: No response body
  /api/azure-sql-servers/{uuid}/:
    get:
      operationId: azure_sql_servers_retrieve
      parameters:
      - in: query
        name: field
        schema:
          type: array
          items:
            type: string
[...]
